org.wildfly.swarm.config

## Class JCA.JCAResources

- java.lang.Object
- - org.wildfly.swarm.config.JCA.JCAResources

- Enclosing class:
    JCA<T extends JCA<T>>

      public static class JCA.JCAResources
      extends Object

  Child mutators for JCA

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCAResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArchiveValidation` | `archiveValidation()` Archive validation for resource adapters
    `BeanValidation` | `beanValidation()` Bean validation (JSR-303) for resource adapters
    `BootstrapContext` | `bootstrapContext(String key)`
    `List<BootstrapContext>` | `bootstrapContexts()` Get the list of BootstrapContext resources
    `CachedConnectionManager` | `cachedConnectionManager()` Cached connection manager for resource adapters
    `DistributedWorkmanager` | `distributedWorkmanager(String key)`
    `List<DistributedWorkmanager>` | `distributedWorkmanagers()` Get the list of DistributedWorkmanager resources
    `Tracer` | `tracer()` Tracer for resource adapters
    `Workmanager` | `workmanager(String key)`
    `List<Workmanager>` | `workmanagers()` Get the list of Workmanager resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCAResources

          public JCAResources()

  - ### Method Detail

    - #### distributedWorkmanagers

          public List<DistributedWorkmanager> distributedWorkmanagers()

      Get the list of DistributedWorkmanager resources
      Returns:
        the list of resources

    - #### distributedWorkmanager

          public DistributedWorkmanager distributedWorkmanager(String key)

    - #### workmanagers

          public List<Workmanager> workmanagers()

      Get the list of Workmanager resources
      Returns:
        the list of resources

    - #### workmanager

          public Workmanager workmanager(String key)

    - #### bootstrapContexts

          public List<BootstrapContext> bootstrapContexts()

      Get the list of BootstrapContext resources
      Returns:
        the list of resources

    - #### bootstrapContext

          public BootstrapContext bootstrapContext(String key)

    - #### cachedConnectionManager

          public CachedConnectionManager cachedConnectionManager()

      Cached connection manager for resource adapters

    - #### beanValidation

          public BeanValidation beanValidation()

      Bean validation (JSR-303) for resource adapters

    - #### tracer

          public Tracer tracer()

      Tracer for resource adapters

    - #### archiveValidation

          public ArchiveValidation archiveValidation()

      Archive validation for resource adapters

Copyright © 2018 JBoss by Red Hat. All rights reserved.